<?php
///////////////////////////////
// Assign personal user data //
///////////////////////////////

// Get a new instance for personal data
$blockInstance = WebBlockHelper::createWebBlockHelper($this, 'persona_data');

// Set the data source instance which must exist in registry
$blockInstance->prefetchValueInstance('user');

// Assign fields with template variables
$blockInstance->assignField('username');

// Shall we include registration date?
if ($blockInstance->ifIncludeRegistrationStamp()) {
	// Then assign it as well!
	$blockInstance->assignFieldWithFilter('registered', 'formatTimestamp');
} // END - if

// Flush the content out to a template variable
$blockInstance->flushContent();

//////////////////////////////////////
// Assign the shipping company data //
//////////////////////////////////////

// Get a new instance for personal data
$blockInstance = WebBlockHelper::createWebBlockHelper($this, 'company_data');

// Get the user instance 
$userInstance = Registry::getRegistry()->getInstance('user');

// Get a shipping company instance ready
$companyInstance = ObjectFactory::createObjectByConfiguredName('company_class', array($userInstance));

// Flush the content out to a template variable
//$blockInstance->flushContent();

// End of all PHP commands
?>
<div id="content_header">
	Willkommen im Loginbereich  von {?app_full_name?}!
</div>

<div id="content_body">
	{?login_content?}
</div>

<div id="persona_data" title="Informationen zu Deinem Spieleaccount">
	<div id="persona_header">
		Account-Infos:
	</div>

	<div id="persona_body">
		{?persona_data?}
	</div>

	<div id="logout_link">
		[<a href="$config[base_url]/index.php?app=ship-simu&amp;page=login_area&amp;action=logout"
		 title="Aus dem Spiel ausloggen">Ausloggen</a>]
	</div>
</div>

<div id="company_data" title="Informationen zu der aktuell ausgew&auml;hlten Reederei">
	<div id="company_header">
		Reederei-Infos:
	</div>

	<div id="company_body">
		{?company_data?}
	</div>
</div>
